// include/set_thread_name.hh
// This file is part of libpbe; see http://svn.chezphil.org/libpbe/
// (C) 2017 Philip Endecott

// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

#ifndef libpbe_set_thread_name_hh
#define libpbe_set_thread_name_hh

namespace pbe {

  // Attempt to set the name of the thread, as shown in ps etc.
  // This is not portable, and is a no-op on most platforms.
  // FIXME no, it will fail to compile on other platforms...
  // The system may limit the length of the name (e.g. to 16 
  // characters); this function will truncate the name if 
  // necessary.

  extern void set_thread_name(const char* name);

};

#endif

